Bug 579299 (perl-Test-LeakTrace) - Review Request: perl-Test-LeakTrace - Traces memory leaks
Summary: Review Request: perl-Test-LeakTrace - Traces memory leaks
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Test-LeakTrace
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Test-Leak...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 01:19 UTC by Chris Weyl
Modified: 2012-03-28 04:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-12 05:56:37 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-04-04 01:19:36 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-LeakTrace.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-LeakTrace-0.10-1.fc12.src.rpm

Description:
'Test::LeakTrace' provides several functions that trace memory leaks.
This module scans arenas, the memory allocation system, so it can detect
any leaked SVs in given blocks.  *Leaked SVs* are SVs which are not
released after the end of the scope they have been created. These SVs
include global variables and internal caches. For example, if you call a
method in a tracing block, perl might prepare a cache for the method.
Thus, to trace true leaks, 'no_leaks_ok()' and 'leaks_cmp_ok()' executes
a block more than once.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2093808

Additional Comment:

This is a new optional testing requirement of Class::MOP.

*rt-0.10_01

Comment 1 Iain Arnell 2010-04-05 06:23:06 UTC
+ source files match upstream.  
  fc732ff0509fb5475f0ccb0710e62878  Test-LeakTrace-0.10.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2093808

+ package installs properly.
+ rpmlint has no serious complaints:
  perl-Test-LeakTrace.src: I: checking
  perl-Test-LeakTrace.src: W: spelling-error %description -l en_US ok -> OK, och, pk
  perl-Test-LeakTrace.src: W: spelling-error %description -l en_US cmp -> cm, mp, camp
  perl-Test-LeakTrace.src: I: checking-url http://search.cpan.org/dist/Test-LeakTrace (timeout 10 seconds)
  perl-Test-LeakTrace.src: I: checking-url http://search.cpan.org/CPAN/authors/id/G/GF/GFUJI/Test-LeakTrace-0.10.tar.gz (timeout 10 seconds)
  perl-Test-LeakTrace.x86_64: I: checking
  perl-Test-LeakTrace.x86_64: W: spelling-error %description -l en_US ok -> OK, och, pk
  perl-Test-LeakTrace.x86_64: W: spelling-error %description -l en_US cmp -> cm, mp, camp
  perl-Test-LeakTrace.x86_64: I: checking-url http://search.cpan.org/dist/Test-LeakTrace (timeout 10 seconds)
  perl-Test-LeakTrace-debuginfo.x86_64: I: checking
  perl-Test-LeakTrace-debuginfo.x86_64: I: checking-url http://search.cpan.org/dist/Test-LeakTrace (timeout 10 seconds)
  perl-Test-LeakTrace-tests.x86_64: I: checking
  perl-Test-LeakTrace-tests.x86_64: I: checking-url http://search.cpan.org/dist/Test-LeakTrace (timeout 10 seconds)
  perl-Test-LeakTrace-tests.x86_64: W: no-documentation
  4 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ final provides and requires are sane:
  perl(Test::LeakTrace) = 0.10
  perl-Test-LeakTrace = 0.10-1.fc13
  perl(Test::LeakTrace::Script)  
  perl-Test-LeakTrace(x86-64) = 0.10-1.fc13
=
  libc.so.6()(64bit)  
  libc.so.6(GLIBC_2.11)(64bit)  
  libc.so.6(GLIBC_2.2.5)(64bit)  
  perl >= 0:5.008_001
  perl(Exporter)  
  perl(Exporter) >= 5.57
  perl(:MODULE_COMPAT_5.10.1)  
  perl(strict)  
  perl(Test::Builder::Module)  
  perl(Test::LeakTrace)  
  perl(warnings)  
  perl(XSLoader)  

+ %check is present and all tests pass.
  # Testing Test::LeakTrace/0.10
  t/00_compile.t ..... ok
  t/01_info.t ........ ok
  t/02_refs.t ........ ok
  t/03_count.t ....... ok
  t/04_test_funcs.t .. ok
  t/05_script.t ...... ok
  t/06_threads.t ..... ok
  t/07_eval.t ........ ok
  t/08_leaktrace.t ... ok
  t/09_info_more.t ... ok
  t/10_bad_use.t ..... ok
  t/11_logfp.t ....... ok
  t/12_padstale.t .... ok
  All tests successful.
  Files=13, Tests=121,  0 wallclock secs ( 0.02 usr  0.03 sys +  0.52 cusr  0.13 csys =  0.70 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Chris Weyl 2010-04-10 18:36:07 UTC
New Package CVS Request
=======================
Package Name: perl-Test-LeakTrace
Short Description: Traces memory leaks
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-11 19:18:29 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-04-12 05:56:37 UTC
Thanks for the review! :-)

Comment 5 Mark Chappell 2010-07-09 10:09:37 UTC
Package Change Request
======================
Package Name: perl-Test-LeakTrace
New Branches: EL-6
Owners: tremble    

cweyl has previously expressed that he is happy for others to request EPEL branches

Comment 6 Kevin Fenzi 2010-07-09 18:16:12 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Paul Howarth 2012-03-12 10:22:20 UTC
Package Change Request
======================
Package Name: perl-Test-LeakTrace
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2012-03-12 12:03:07 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-03-12 12:28:12 UTC
perl-Test-LeakTrace-0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-LeakTrace-0.14-1.el5

Comment 10 Fedora Update System 2012-03-28 04:56:22 UTC
perl-Test-LeakTrace-0.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.